/**=====================================Nav Bar===============================**/
/* #fa44ff*/
body{
  overflow: hidden;
}
.navbar-editor{
  z-index: 10;
  width: 100%;
  left: 0;
  right: 0;
  top: 0;
  position: absolute;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .5rem;
  padding-bottom: .5rem;
  height: auto;
  display: flex;
  --bg-opacity: 1;
  background-color: #161616;
}
.editor-back-button {
  background: no-repeat;
}
.pricing25_orange-glow {
  display: none;
}
[type="button"], [type="reset"], [type="submit"], button {
  -webkit-appearance: button;
}

.editor-back-button {
  --text-opacity: 1;
  color: #fff;
  box-shadow: none;
  padding: 0;
    padding-top: 0px;
    padding-bottom: 0px;
  border-style: none;
  border-radius: 0;
  background-image: none;
  padding-top: .5rem;
  padding-bottom: .5rem;
  font-size: 13px;
}


.nav-title-editor{
  white-space: nowrap;
  width: 100%;
  text-align: center;
  padding-top: .5rem;
  padding-bottom: .5rem;
  padding-left: 0;
  padding-right: 0;
  overflow: hidden;
}
.editor-title-h4 {
  --text-opacity: 1;
  color: #fff;
  text-align: center;
  font-size: 12px !important;
  font-weight: 400 !important;
  text-transform: uppercase;
}

.editor_profile_but{
margin-top:.25rem;
}
ol, ul {
  list-style: none;
    list-style-type: none;
}

.profile_edit_pro{
  width: 2rem;
  height: 2rem;
  border-radius: 9999px;
}


.editor_setting_pop{
  z-index: 50;
  visibility: visible;
  left: 0;
  bottom: 0;
  right: 0;
  top: 0;
  position: fixed;
}
.forkbutton {
  background: no-repeat;
}
.forkbutton svg {
  width: 18px !important;
  margin: 9px 0 !important;
}
.sidebarbutt svg {
  width: 18px !important;
  margin: 1px 0;
}
.unforkbutton {
  background: no-repeat;
}
.unforkbutton svg {
  width: 18px !important;
  margin: 9px 0 !important;
}

.editor_settinghead {
  --text-opacity: 1;
  color: #fff;
  text-align: left;
  font-size: 1.125rem;
  font-weight: 600;
}


.pop_close_setting {
  width: 2rem;
  --text-opacity: 1;
  color: #000;
  right: 0;
  margin-top: .5rem;
  font-size: .875rem;
  font-weight: 600;
  float: right;
  border-style: none;
  border-radius: .375rem;
}

.title_div_write {
  --text-opacity: 1;
  color: #fff;
  text-align: center;
  font-size: 1rem;
  font-weight: 600;
}
input {
  color: black !important;
}

.input_title_ed {
  width: 100%;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .75rem;
  padding-bottom: .75rem;
  border-style: none;
  border-radius: .375rem;
  color: black;
}
.text_div_tit{
  --text-opacity: 1;
  color: #fff;
  text-align: left;
  margin-top: 1rem;
  font-size: 1rem;
  font-weight: 600;
  display: flex;
}

.desc_write_textarea {
  width: 100%;
  padding: 1rem;
  margin-top: .5rem;
  font-size: .75rem;
  border-radius: 8px;
  margin-bottom: 9px;
  color: black;
}


.tags_input-ed {
  width: 100%;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .75rem;
  padding-bottom: .75rem;
  border-style: none;
  border-radius: .375rem;
}

.edit_img_pri{
  width: 2.5rem;
  margin-left: .5rem;
  margin-right: .5rem;
  height: 2rem;
}

.html_sett{
  width: auto;
  padding: .5rem;
  margin-top: 1rem;
  margin-left: .5rem;
  height: 100%;
}

.css_link_ed {
  width: 100%;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .75rem;
  padding-bottom: .75rem;
  border-style: none;
  border-radius: .375rem;
}


.editor_bar_nav {
  z-index: 10;
  width: 100%;
  position: relative;
  padding-top: .25rem;
  padding-bottom: .25rem;
  display: flex;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}

.sidebar_burger {
  --text-opacity: 1;
  color: #fff;
  padding: 5px 11px;
  margin-left: .75rem;
  border-style: none;
  border-radius: .375rem;
  margin-bottom: -6px;
  border: 2px solid rgba(255, 255, 255, 0.15);
  background: #222;
  height: 41px;
  margin-top: 3px;
}
.edit_tabs {
  width: 4rem;
}



.tab_right_p {
  right: 0;
  position: absolute;
  float: right;
  display: none;
}

.float_tab_bar {
  margin-right: .75rem;
  float: left;
}


.editor_dropdd {
  right: 0;
  position: absolute;
}

.drop_menudd {
  --text-opacity: 1;
  color: #fff;
  padding: 6px 11px;
  margin-right: 1rem;
  margin-top: 4px;
  border-style: none;
  border-radius: .375rem;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
}

.dropdown_listdd {
    position: absolute;
    margin-top: 0.5rem;
    border-style: none;
    border-radius: 1rem;
    --bg-opacity: 1;
    background-color: #222;
    border: 1px solid rgba(255, 255, 255, 0.15);
}
.dropdown.editor_dropdd.open li a svg {
  margin-right: 6px;
}

.drop_link_list {
  --text-opacity: 1;
  color: #fff;
  font-size: .875rem;
  display: flex;
}

.pan_cont {
  right: 0;
  position: absolute;
  overflow: visible;
  overflow: hidden;
  flex-direction: row;
  display: flex;
}

.panel_lefteditor {
  width: 100%;
  padding: .25rem;
  height: 2.5rem;
  --bg-opacity: 1;
  background-color: #161616;
  border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}
.float-right {
  float: right;
}

.setting_edidd {
  width: 2.5rem;
  --text-opacity: 1;
  color: #fff;
  text-align: center;
  margin: .25rem;
  font-size: .875rem;
  border-radius: .375rem;
  --bg-opacity: 1;
  background-color: rgba(255, 255, 255, 0.05);
  cursor: pointer;
  border: 1px solid rgba(255, 255, 255, 0.2);
}
.setting_edidd:hover {
  background: transparent;
}

.dropdownlist_dd {
  text-align: left;
  position: absolute;
  margin-top: .5rem;
  border-radius: 1rem;
  --bg-opacity: 1;
  backdrop-filter: blur(16px);
  background-color: #222;
  border: 1px solid rgba(255, 255, 255, 0.15);
}

.console_block {
  z-index: 10;
  width: auto;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
  margin-bottom: 2rem;
  height: auto;
  border-radius: .375rem;
  --bg-opacity: 1;
  background-color: #1a202c;
}

.console_tabdd {
  padding: .75rem;
  border-bottom-width: 2px;
  --border-opacity: 1;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}

.console_tes {
  margin-right: 1rem;
  float: right;
}

.console_cont {
  width: 100%;
  --text-opacity: 1;
  color: #fff;
  bottom: 0;
  position: absolute;
  padding: 1rem;
  display: flex;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}
.console_input {
  width: 100%;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .75rem;
  padding-bottom: .75rem;
  margin-left: 1rem;
  border-radius: .375rem;
  --bg-opacity: 1;
  background-color: #161616;
  color: white !important;
  border: 2px solid rgba(255, 255, 255, 0.15);
}
.bottombar_nav {
  z-index: 10;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
  height: 2.5rem;
  background: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}
.bottombar_list {
  text-align: right;
  right: 0;
  position: absolute;
  float: right;
  display: flex;
  padding: 0px 3px;
}

.bottomlss {
  text-align: center;
  float: left;
  height: 29px;
  margin: 5px 7px;

}


.sidebar_editor {
  z-index: 10;
  --text-opacity: 1;
  color: #fff;
  left: 0;
  top: 0;
  position: absolute;
  height: 100%;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}


.sidebar_burgerbut {
  box-shadow: 0 1px 2px 0 rgba(0,0,0,.05);
  position: absolute;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .75rem;
  padding-bottom: .75rem;
  margin-left: 3rem;
  cursor: pointer;
  border-radius: .375rem;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}


.sidebarlisttop {
  width: 100%;
  position: absolute;
  margin-top: .5rem;
}

.sidebarlist1{
  text-align: center;
  margin: 0;
  margin-bottom: 8px ;
}

.sidebarlist2{
    text-align: center;
  margin-top: .75rem;
  margin: 0;
}

.sidebarbutt {
  --text-opacity: 1;
  color: #fff;
  cursor: pointer;
  padding: 8px 0px;
}

.sidebarbutt:hover {
  --text-opacity: 1;
  color: #e2e8f0;
}
a:hover {
  color: crimson;
  outline: none !important;
  text-decoration: none !important;
}
a:active, a:hover {
  outline: 0;
}
a:active, a:hover {
  outline: 0;
}
a:hover {
  color: #fc6cff;
  outline: none !important;
  text-decoration: none !important;
}


.sidebarlistbottom {
  width: 100%;
  bottom: 0;
  position: absolute;
  margin-bottom: 2.5rem;
  font-size: 1rem;
}


.loding_poped {
  z-index: 50;
  visibility: visible;
  left: 0;
  bottom: 0;
  right: 0;
  top: 0;
  position: fixed;
}

.user_edi_name{
  font-size: 13px !important;
  letter-spacing: 0px;
  margin-left: 2px;
  margin-top: -2px;
  font-weight: 800 !important;
  display: flex;
  width: max-content;
  position: relative;
  --text-opacity: 1;
color: #fff;
}


.editor_username {
  letter-spacing: 0;
  --text-opacity: 1;
  color: #fff;
  font-size: .875rem;
  font-weight: 400;
}
.cursor-pointer {
  cursor: pointer;
}

.usermbo_prof {
  margin-top: .25rem;
}


.pro_icol {
  position: absolute;
  border-width: 2px;
  border-radius: .25rem;
  --border-opacity: 1;
  border-color: #fff;
}


.embed_blockfrd {
  margin-top: .5rem;
  border-width: 4px;
  --border-opacity: 1;
  border-color: #222222;
}

.editor_embed_code {
  display: block;
  --text-opacity: 1;
  color: #fff;
  margin-top: .5rem;
}

.drop-menuu {
  text-align: left;
  position: absolute;
  margin-top: .5rem;
  border-radius: 1rem;
  --bg-opacity: 1;
  backdrop-filter: blur(16px);
  background-color: #222;
  border: 1px solid rgba(255, 255, 255, 0.15);
  display: none;
}


.dropdown_settingm{
  position: absolute;
  margin-top: .5rem;
  border-style: none;
  border-radius: 1rem;
  --bg-opacity: 1;
  background-color: #2d3748;
}

.description_text{
  text-align: left;
  font-size: .875rem;
  font-weight: 400;
  color: white;
}

.desc_editor {
  float: right;
}



.type_work_ed {
  display: -ms-inline-flexbox;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: .5rem;
  padding-bottom: .5rem;
  margin: .5rem;
  display: inline-flex;
  border-width: 1px;
  border-radius: .375rem;
  --border-opacity: 1;
  border-color: #fff;
}

.save_postbut{
  display: block;
  float: left;
}


.embed_topnavbar {
  width: 100%;
  padding-top: .25rem;
  padding-bottom: .25rem;
  display: flex;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}
.tab_navbb {
  width: 30px;
}

.embed_rightbar {
  right: 0;
  position: absolute;
  margin-right: 1rem;
  float: right;
}

.embed_logo_link {
  padding-left: .75rem;
  padding-right: .75rem;
  margin-top: .25rem;
  border-radius: .5rem;
}
.flex {
  display: flex;
}
.embed_texte{
  width: auto;
  text-align: right;
}

.text-white{
  color: white;
}
.codepanel_embed {
  left: 0;
  right: 0;
  top: 0;
  position: absolute;
  overflow: visible;
  overflow: hidden;
  flex-direction: row;
  display: flex;
}

.codepaaannlll {
  width: 99%;
  padding: 0.1rem;
  --bg-opacity: 1;
  background-color: #161616;
  border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}

.bottombar_embed {
  z-index: 10;
  width: 100%;
  bottom: 0;
  position: absolute;
  padding-top: .25rem;
  padding-bottom: .25rem;
  height: 3rem;
  display: flex;
  --bg-opacity: 1;
  background-color: #161616;
  border: 1px solid rgba(255, 255, 255, 0.15);
}



  @media (min-width: 768px){
      .editor_bar_nav {
        padding-left: 1rem;
        padding-right: 1rem;
      }
      .tab_navbb {
        width: 6rem;
      }
      .editor_dropdd {
        display: none !important;
      }
      .sidebar_burger {
        display: none !important;
      }
      .edit_tabs {
        width: 5rem;
      }
      .tab_right_p {
        margin-right: 1rem;
        display: flex !important;
      }
      .sidebar_editor {
        display: block !important;
        z-index: 0;
      }
      .sidebar_burgerbut {
        display: none !important;
      }
      .user_pro_ed {
        display: flex !important;
      }

      .usermbo_prof {
        display: none !important;
      }
      .splitter{
        display: block !important;
      }
      .embed_topnavbar {
        padding-left: 1rem;
        padding-right: 1rem;
      }

  }

/* Customize website's scrollbar like Mac OS
Not supports in Firefox and IE */

/* total width */
.CodeMirror-wrap .CodeMirror-scroll::-webkit-scrollbar {
background-color: #222222;
    width: 11px;
    border: 0px;
}

/* background of the scrollbar except button or resizer */
.CodeMirror-wrap .CodeMirror-scroll::-webkit-scrollbar-track {
    background-color:#222222;
    border-radius: 0;
}
.CodeMirror-wrap .CodeMirror-scroll::-webkit-scrollbar-track:hover {
    background-color:#222222;
}

/* scrollbar itself */
.CodeMirror-wrap .CodeMirror-scroll::-webkit-scrollbar-thumb {
    background-color: #181d28;
    border-radius: 0;
    border: 2px solid #222222;
}
.CodeMirror-gutters {
  background-color: #161616 !important;
  white-space: nowrap;
}

/*.CodeMirror-wrap .CodeMirror-scroll::-webkit-scrollbar-thumb:hover {
    background-color:#a0a0a5;
    border:4px solid #f4f4f4
}*/

/* set button(top and bottom of the scrollbar) */
.CodeMirror-wrap .CodeMirror-scroll::-webkit-scrollbar-button {display:none}


/**=====================================Editor tabs===============================**/
.icons{
  width: 11px !important;
}

.run-button.embed {
  padding: 4px 43px;
  line-height: 29px;
  margin-top: 2px;
}
.run-button {
  font-size: 12px;
  width: 100%;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
  margin-top: 2px;
  padding: 7px 18px;
  border-radius: 5px;
  cursor: pointer;
  font-weight: 400;
  color: white;
}
.run-button:hover {
  background: transparent;
}
.follow-button {
  width: 100%;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
  margin-top: 2px;
  padding: 11px;
  border-radius: 5px;
  cursor: pointer;
}

.noSelected {
  border-radius: 5px;
  cursor: pointer;
  color: #fff;
  transition: background .4s ease-out;
  margin: 4px;
  padding: 5px 14px;
  font-size: 11px;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
}
.noSelected:hover {
  background: transparent;
}
.hired-button {
  width: 100%;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
  margin-top: 2px;
  padding: 11px;
  border-radius: 5px;
  cursor: pointer;
}

.submit-button{
  width: 100%;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
  margin-top: 9px;
  padding: 11px;
  border-radius: 12px;
  cursor: pointer;
}
.hired-button{
  font-size: 12px !important;
  line-height: 36px !important;
  padding: 0px 14px !important;
}
.follow-button{
    font-size: 12px !important;
  line-height: 35px !important;
  padding: 0px 15px !important;
}

.submit-button:hover{
background:transparent;
color: white;
}

.setting-button {
  font-weight: 600;
  line-height: 39px;
  margin-top: 5px;
  position: relative;
  border-radius: 7px;
  color: #fff;
  fill: white;
  background-color: #222;
  background-image: none;
  border: 1px solid rgba(255, 255, 255, 0.15);
  padding: 3px 15px;
  display: flex;
  margin: 3px;
  place-content: center;
  width: 100%;
}
.setting-button:hover {
  background: white;
  color: #222;
  border: 1px solid #dbdada;
}
.copy-link {
  display: flex;
  margin: 0;
  width: 100%;
  margin-top: 7px;
}
.Project-projet-design {
  display: inline-flex;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  vertical-align: middle;
}
.countBox {
  padding: 10px;
  text-align: center;
  margin-left: 0px !important;
  border-radius: 7px;
  margin: 7px;
  background-color: #222;
  background-image: none;
  border: 1px solid rgba(255, 255, 255, 0.15);
  color: white;
}
.Project-projectStat-6Y3 {
  font-size: 12px;
  display: block;
  width: 100%;
}
.panel-container {
  top: 7.2em;
  left: 0em;
  margin-left: 61px;
  bottom: 31px;
}

.fork-d svg {
  margin: 4px;
}
.sidebar-edi-menu {
  position: absolute;
  margin-left: 24px;
  padding: 10px 14px;
  background: #191e24;
  margin-top: 20px;
  border-radius: 9px;
  box-shadow: 6px 3px 5px -1px #00000078;
  cursor: pointer;
}

.btn-bottom-button {
  color: #fff;
  padding: 2px 27px 3px 27px;
  font-weight: 600;
  line-height: 23px;
  border-radius: 4px;
  font-size: 11px;
  background: #222;
  border: 1px solid rgba(255, 255, 255, 0.15);
}
.btn-bottom-button:hover {
  background: transparent;
}
._dh777d7d {
  color: lightgray;
  font-weight: 400;
  font-size: 14px;
}
#html-name,#css-name,#js-name {
  text-transform: uppercase;
  font-size: 16px;
}

/*==========================Pop up setting tab=================================================*/
/* Preprocessor Tabs */
/*.preprocessor-tabs {
  position: relative;   
  min-height: 200px; 
  clear: both;
  margin: 25px 0;
}*/
.right-menu-pop-setting {
    margin-top: 22px;
    text-align: justify;
    margin-bottom: 1em;
}
.preprocessor-tab{
    cursor: pointer;
    font-size: 16px;
    display: flex;
    padding: 1px;
    width: 7em;
    color: 
    white;
    font-weight: 800;
    text-align: left;
    margin: 3px 0;
}
.current {
    color: black;
    font-size: 16px;
    font-weight: 600;
}

.preprocessor-tab {
  display: block;
}

.remove_css {
    display: flex;
    margin: 13px 0px 2px;
}

.remove-field.btn-remove-customer {
    color: white;
    background: #7d7b7b;
    margin: 6px 0 0 2px;
    height: 29px;
    padding: 2px 11px;
    font-size: 11px;
    font-weight: 400;
    border-radius: 20px;
}
.small_test {
  font-size: 8px !important;
  font-weight: 400 !important;
  line-height: 12px !important;
}
.add-extra-css {
    width: fit-content;
    float: left;
    text-align: left;
    color: white;
    font-weight: 400;
    padding: 2px 9px;
    border-radius: 7px;
    margin-top: 10px;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);

}
.add-extra-css:hover {
 background: transparent;
 color: white;
}

.remove_js {
    display: flex;
    margin: 13px 0px 2px;
}
.add-extra-js {
  width: fit-content;
  float: left;
  text-align: left;
  color: white;
  font-weight: 400;
  padding: 5px 11px;
  border-radius: 7px;
  margin-top: 10px;
  background: #222;
  border: 2px solid rgba(255, 255, 255, 0.15);
}
.add-extra-js:hover {
 background: transparent;
 color: white;
}
.CodeMirror-linenumber.CodeMirror-gutter-elt {
  background: transparent;
  color: #ffd452;
  font-weight: 500;
}







.ui-widget-content{
  border: 1px solid #2b2d2e !important;
}

  #resizable h3 { text-align: center; margin: 0; }

 
  .result-flex {
     border-left: 10px solid #15161b;
    width: 100%;
}
.editor-output {
    width: 100%;
    height: 100%;
}

#htmlEditor {
    height: 100%;
}
#cssEditor{
    height: 100%;
}
#jsEditor{
    height: 100%;
}

.code_embed {
  height: 100%;
  width: 100%;
  border-radius: 4px;
  padding: .5rem;
  min-height: 12em;
  margin: .5em 0 0;
  box-sizing: border-box;
  white-space: pre-wrap;
  word-break: break-word;
  color: black;
  font: 13px Monaco, monospace;
    line-height: normal;
  line-height: 22px;
  letter-spacing: 0px;
}
.created_creditor {
  text-align: right;
  color: white;
  font-size: 12px;
  float: right;
  width: auto;
  padding-top: 7px;
  line-height: 21px;
  letter-spacing: 0px;
  font-family: "acumin-pro","Acumin Pro","Helvetica Neue",Helvetica,Arial,sans-serif;
}


.display-flex {
  display: flex;
  flex: 2;
}
.flex-1{
	flex: 1
}
.selected {
  background: #6248ff;
  color: white;
  border-bottom: 4px solid #eee;
  border-radius: 5px;
  padding: 5px 12px;
  font-weight: 400;
  margin: 4px;
  font-size: 12px;
}
#maximizeEditor {
  padding-bottom: 49px;
  background: rgba(0, 0, 0, 0.15);
  border-left: 10px solid rgb(19, 19, 19);
}
.framePreview {
  display: grid;
  position: relative;
  width: 100%;
}

.frameTitle {
  vertical-align: middle;
  font-size: 19px;
  color: #acacac;
}

.profile-byline {
  margin-top: -2px;
  display: block ruby;
    font-size: 15px;
  margin-bottom: 0;
  line-height: 15px;
}
.editor_title{
  text-align: center;
padding: 0px 18px;
overflow: hidden;
text-overflow: ellipsis;
white-space: nowrap;
width: 100%;
display: grid;
}

.unbucketed {
  background: #222;
  color: white;
  padding: 9px 30px;
  width: 100%;
  max-width: 14em;
  text-align: center;
  float: initial !important;
  border-radius: 10px;
  margin: auto;
  border-bottom: 10px solid #898989;
}
.collect_data h6 {
  color: white;
}


.collect_data h6 {
  color: #fff;
  text-align: left;
  font-size: 15px;
  text-transform: capitalize;
}
.input_embed_link {
  height: 100%;
  color: white !important;
  border-radius: 1px;
  font-size: 12px;
  width: 100%;
  padding: 8px 26px;
  background-color: #222;
  border: 1px solid rgba(255, 255, 255, 0.15);
}
.collect_data {
  margin-left: 7px;
}
.bucket-meta.bucket-timestamp {
  color: black !important;
  font-size: 13px !important;
  text-align: left;
  width: 100%;
  display: block;
  padding: 8px;
  text-transform: capitalize;
}


/* ========================= Dropdown Design ===========================*/

/*====== Simple ==============*/
.dropdown-list-menu{
  position: relative;
}
=
.dropdown-menu-design {
    background: white;
    padding: 18px;
    border-radius: 18px;
    position: absolute;
    z-index: 9;
    box-shadow: 3px 1px 25px 2px #7171714f;
    right: 0;
    margin-top: 3px;
}
.dropdown_nav{
  display: contents;
}
#dropdownMenu1 {
    border: none;
    background: no-repeat;
    float: right;
}

.open > .dropdown-menu {
    display: block;
    z-index: 99999;
width: 16em;
margin-left: -12em;
padding: 17px 0 25px 0;
}

.underline {
    border-bottom: 1px solid #dfdfdf;
    padding: 5px;
    margin-bottom: 5px;
}


/*================= Big Menu =================*/
/*.dropdown-menu::before,
.dropdown-toggle::before {
  content: "";
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  border: 3px solid;
  border-top-color: rgba(0, 0, 0, 0);
  border-left-color: rgba(0, 0, 0, 0);
  margin-top: -0.5px;
  background-color: rgba(0, 0, 0, 0);
  transition: all ease-in-out 0.2s;
}*/
.dropdown-toggle {

    display: flex;
    right: -10%;
    position: relative;
    padding: 5px 17px !important;
}
.dropdown-wrapper {
  position: relative;
}
.dropdown-wrapper button {
  outline: none;
  border: 0;
  cursor: pointer;
  font-size: 15px;
  font-weight: bold;
  letter-spacing: 1px;
  padding: 8px 29px;
  border-radius: 10px;
  letter-spacing: 0px;
}
.dropdown-wrapper button:hover {
color: #fa44ff;
}
/*.dropdown-wrapper button:hover:not(.active), .dropdown-wrapper button:active:not(.active) {
  background-color: #ebeffa;
}*/
.dropdown-wrapper button.active {
  color: #575757;
}
.dropdown-wrapper .dropdown-menu {
  background: white;
  padding: 20px;
  margin-top: 20px;
  position: absolute;
  border-radius: 10px;
  display: flex;
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.18);
  border: none;
  width: max-content;
}
.dropdown-wrapper .dropdown-menu:before {
  position: absolute;
  top:2px;
  transform: translateY(-100%);
  content: '';
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 11px 16px 11px;
  border-color: transparent transparent white transparent;
  z-index: 6;
}
.dropdown-wrapper .dropdown-menu:after {
  position: absolute;
  top: -2px;
  transform: translateY(-100%);
  content: '';
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0 14px 11px 6px;
  border-color: transparent transparent rgba(0, 0, 0, 0.12) transparent;
  filter: blur(2px);
  z-index: -1;
}
.dropdown-toggle.saved-button{
padding: 0px 20px 0px 20px;
font-weight: 600;
line-height: 39px;
margin-top: 0px;
border-radius: 7px;
border: none;
background: linear-gradient(to right, #fc3468 0%, #fa44ff 100%);
background: #fc3468;
color: white;
}
.dropdown-toggle.saved-button::before{
  content: none;
}
.dropdown-toggle.saved-button:hover{
  background: #f77093;
  color: white;
}
.dropdown-toggle.saved-button.active {
    color: white;
}
.dropdown-wrapper .dropdown-menu.left {
  left: 0;
}
.dropdown-wrapper .dropdown-menu.left:before, .dropdown-wrapper .dropdown-menu.left:after {
  left: 40px;
}
.dropdown-wrapper .dropdown-menu.medium {
  left: 50%;
  transform: translateX(-50%);
}
.dropdown-wrapper .dropdown-menu.medium:before {
  left: 50%;
  transform: translate(-50%, -100%);
}
.dropdown-wrapper .dropdown-menu.medium:after {
  content: none;
}
.dropdown-wrapper .dropdown-menu.right {
  right: 0;
}
.dropdown-wrapper .dropdown-menu.right:before, .dropdown-wrapper .dropdown-menu.right:after {
  right: 10px;
}
.dropdown-wrapper .dropdown-menu.right-centre:before, .dropdown-wrapper .dropdown-menu.right-centre:after {
  right: 87%;
}
.dropdown-wrapper .dropdown-menu ul {
  z-index: 3;
  position: relative;
  display: flex;
  width: 100%;
  flex-direction: column;
}
.dropdown-wrapper .dropdown-menu ul li a {
  text-decoration: none;
  color: black;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  font-size: 16px;
}
.dropdown-wrapper .dropdown-menu ul li a:hover {
  background: #f6f8fe;
  border-radius: 15px;
}
.dropdown-wrapper .dropdown-menu ul li a span {
  display: flex;
  align-items: center;
  padding-left: 30px;
  white-space: nowrap;
}
.dropdown-wrapper .dropdown-menu ul li a span.headline {
  position: relative;
  font-size: 18px;
  color: #575757;
  font-weight: bold;
  margin-bottom: 10px;
}
.dropdown-wrapper .dropdown-menu ul li a span.headline small {
  background: #4de6a6;
  color: #138656;
  padding: 5px 10px;
  border-radius: 10px;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 10px;
  margin-left: 5px;
}
.dropdown-wrapper .dropdown-menu ul li a span.headline i {
  position: absolute;
  left: 0;
  color: #4879ea;
  transform: scale(1.2);
}
.dropdown-wrapper .dropdown-menu ul li a span.subtitle {
    color: #595959;
    font-size: 12px;
    font-weight: 400;
    margin: 0;
    max-width: none;
    line-height: 15px;
    text-shadow: none;
    letter-spacing: 0px;
    white-space: normal;
}

.dropdown-menu-upload li {
    padding: 0;
    margin: 2px;
        margin-left: 2px;
    margin-left: 5px;
}
.dropdown-menu-upload li a {
    padding: 3px 11px !important;
}
.dropdown-menu-upload li a:hover {
    background: white !important;
    color:#fa44ff !important; 
}

.embedselectop {
  background: #222;
  font-size: 12px;
  padding: 3px 19px;
  border: 1px solid white;
}
.embed-frame-right{
  float: right;
  margin-top: -30px;
}

.input_embed_link {
  height: 100%;
  border-radius: 1px;
  font-size: 12px;
  width: 100%;
  padding: 8px 26px;
  background-color: #454545;
  border: 1px solid rgba(255, 255, 255, 0.15);
}


/*====================================== Resizer===========================================*/

/*.panel-container {
  display: flex;
  flex-direction: row;
  overflow: hidden;
  xtouch-action: none;
}*/

.panel-left {
  flex: 0 0 auto;

  min-height: 200px;

}
.fa.fa-expand {
    width: 100%;
    height: 100%;
    border: none;
}

.splitter {
  flex: 0 0 auto;
  width: 12px;
  min-height: 200px;
  cursor: col-resize;
  background: rgba(0, 0, 0, 0.15);
  border: 1px solid rgba(255, 255, 255, 0.11);
}
/*.frameTitle{
vertical-align: middle;
font-size: 19px;
color:#acacac;
height: 100%;
top: 48%;
position: relative;
}*/

.frameTitle {
  vertical-align: middle;
  font-size: 19px;
  color: #acacac;
  height: 100%;
  top: 0;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 10em 0px;
}

.CodeMirror {
  background: #161616 !important;
}
.panel-right {
  flex: 1 1 auto;
  /* resizable */
/*  width: 100%;
  min-height: 200px;
  min-width: 200px;*/
  background: #eee;
  z-index: 1;
}
.framePreview {
    display: grid;
    position: relative;
    width: 100%;
}
.button-group:hover {
    color: white;
}


/*=========== console =============*/
.result li.ready {
  -webkit-animation: none;
          animation: none;
  font-style: italic;
  margin-top: -0.5em;
  margin-bottom: 0.5em;
  -webkit-transform: none;
          transform: none;
  opacity: 0.5;
}

@-webkit-keyframes appear {
  100% {
    -webkit-transform: none;
            transform: none;
    opacity: 1;
  }
}

@keyframes appear {
  100% {
    -webkit-transform: none;
            transform: none;
    opacity: 1;
  }
}
.result li:nth-child(odd) {
  -webkit-animation-delay: 0.75s;
  animation-delay: 0.75s;
  color: #999;
  padding: 0px 21px;
  font-size: 12px;
}
.result::-webkit-scrollbar {
  width: 10px;
}
.result::-webkit-scrollbar-thumb {
  background: #36aa95;
  border-radius: 10px;
}
.resultCLI {
  padding: 3px 0 3px 24px;
  border-bottom: 1px solid #252525;
  color: #a84848;
}
/*====================================== Basic Changes===========================================*/

.path {
  color: white;
  font-weight: 800;
}
.window{

overflow: hidden;
border: 5px solid rgba(255, 255, 255, 0.2);
bottom: -28px;
height: 16em;
}

.window::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  height: 0em;
  z-index: 100;
}
.ready {
  padding: 0 !important;
  color: white !important;
  opacity: 0.6;
}
.check-setting {
  background: #2a2c34;
  border-bottom: 2px solid #6248ff;
  width: 8em;
}
.content-setting-preprocessor {
  height: 31em;
}

.preprocessor-tab {
  cursor: pointer;
  font-size: 14px;
  display: flex;
  padding: 2px 0;
  width: 7em;
  color: white;
  text-align: left;
  margin: 3px 0;
  font-weight: 500;
}

.clear_b {
  background: #222;
  border: 2px solid #363636;
  color: #fff !important;
  padding: 5px 15px 4px 15px;
  cursor: pointer;
  border-radius: 6px;
}
#clearConsoles {
  background: #161616;
  padding: 5px 2px;
  overflow: auto;
  height: 117px;
}


.dropdown-menu {
  display: none;
}
.code_panel {
  top: 58px;
  bottom: 47px;
}
.proicon-post-view {
  width: 27px;
  min-width: 27px;
}
.panel-left {
  flex: 0 0 auto;
  min-height: 200px;
}
.CodeMirror-code {
  cursor: text;
  font: 16px Monaco, monospace;

}


.embed_logo{
width: 111px;
}
.embed_logo_link {
  display: grid;
  padding: 0px;
  margin-left: 18px;
}

.run-output {
  display: block;
  width: 250% !important;
  height: 250% !important;
  -webkit-transform: scale(.5);
  transform: scale(0.4);
  scrollbar-color: rgba(0,0,0,.5) transparent;
  border: none;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  transform-origin: 0 0;
  -webkit-transform-origin: 0 0;
}

.run-output-editor {
  display: block;
  width: 100%;
  height: 100%;
  border: none;
  overflow: auto;

}

.content-setting {
  overflow: auto;
  width: auto;
  margin-left: 5px;
  height: 100%;
  padding: 0px 11px 0 0;
}
/*================= Zoom In Zoom Out ================*/
/*#run-output {
  width: 400% !important;
  height: 400% !important;
  -webkit-transform: scale(.25);
  transform: scale(0.25);
}
#run-output {
  width: 200% !important;
  height: 200% !important;
  -webkit-transform: scale(.5);
  transform: scale(0.5);
}


#run-output {
  display: block;
  scrollbar-color: rgba(0,0,0,.5) transparent;
  border: none;
  background: #fff;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  transform-origin: 0 0;
  -webkit-transform-origin: 0 0;
}
*/



/*====================================== Auto run check box===========================================*/
.flipswitch {
  position: relative;
  background: white;
  width: 120px;
  height: 40px;
  -webkit-appearance: initial;
  border-radius: 3px;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  outline: none;
  font-size: 14px;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  cursor: pointer;
  border: 1px solid #ddd;
}

.flipswitch:after {
  position: absolute;
  top: 5%;
  display: block;
  line-height: 32px;
  width: 45%;
  height: 90%;
  background: #fff;
  box-sizing: border-box;
  text-align: center;
  transition: all 0.3s ease-in 0s;
  color: black;
  border: #888 1px solid;
  border-radius: 3px;
}

.flipswitch:after {
  left: 2%;
  content: "OFF";
}

.flipswitch:checked:after {
  left: 53%;
  content: "ON";
}


/**===================================== Drag drop image with cropping ===============================**/


/*croppie */
#img-crop {
  width: 100%;
/*  height: 100vh;*/
  display: -webkit-box;
  display: flex;
  -webkit-box-pack: center;
          justify-content: center;
  position: relative;
}
#img-crop .block {
  border: 12px solid #aab8c2;
  border-radius: 1em;
  box-shadow: 0 20px 60px -2px rgba(28, 43, 56, 0.2);
  background-color: #eff3f6;
}
#img-crop h3 {
  color: #2f3848;
  font-size: 1.2em;
}

#img-crop #upload label#filedrag {
    display: block;
    width: 100%;
    height: 100%;
    background: url("//img.icons8.com/ios/96/c8cccf/upload-2.png") 50% 50% no-repeat #161616;
        background-size: auto;
    background-size: 25% auto;
    -webkit-transition: background 0.3s ease;
    transition: background 0.3s ease;
    cursor: pointer;
    margin-top: 0;
/*    border-radius: 20px;
    border: 3px solid white;*/
}
.pro-badge {
  padding: 1px 7px;
  background: #6248ff;
  border-radius: 6px;
  color: white;
  letter-spacing: 0px;
  font-weight: 500;
  font-size: 11px;
  border: 2px solid #a597ff;
}
.pro-badge-btn {
  padding: 12px 26px;
  background: #6248ff;
  border-radius: 6px;
  color: white;
  letter-spacing: 0px;
  font-weight: 500;
  font-size: 14px;
  border: 2px solid #a597ff;
}
.pro-badge:hover {
  color: white;
}
.pro-badge-btn:hover {
  color: white;
}
#img-crop #upload input[type="file"] {
  display: none;
}
#img-crop #crop {
  display: none;
  /******** Range Input ******* */
}
#img-crop #crop .btn {
    color: #000;
    padding: 4px 21px;
    background-color: #00ff7f;
    font-weight: 400;
}
#img-crop #crop .btn:hover {
  background-color: white;
  color: #222;
}
.button-rev-save {
    color: #000;
    padding: 4px 21px;
    font-weight: 400;
    display: flex;
    position: relative;
    margin-top: 4em;
    width: 92%;
}
.button-rev-save #next {
    right: 0;
    position: absolute;
}
#img-crop #crop .cr-boundary {
  position: relative;
  overflow: hidden;

}
#img-crop #crop .cr-boundary .cr-image {
  position: absolute;
  top: 0;
  left: 0;
  -webkit-transform-origin: 0 0;
          transform-origin: 0 0;
/*  z-index: -1;*/
  max-width: none;
}
#img-crop #crop .cr-boundary .cr-viewport {
  margin: auto;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  box-shadow: 0 0 0 900px #d9d9d9;
  z-index: 0;
}
#img-crop #crop .cr-boundary .cr-overlay {
  position: absolute;
  z-index: 2;
  cursor: move;
}
#img-crop #crop .cr-slider-wrap {
  width: 100%;
  height: 2em;
  position: absolute;
  top: 100%;
  -webkit-transform: translateY(100%);
          transform: translateY(100%);
  display: -webkit-box;
  display: flex;
}
#img-crop #crop .cr-slider-wrap .cr-slider {
  width: 75%;
  background-color: transparent;
}
#img-crop #crop .cr-slider-wrap .cr-slider {
  -webkit-appearance: none;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-webkit-slider-runnable-track {
  width: 100%;
  height: 4px;
  background-color: #c8cccf;
  border: 0;
  border-radius: 1em;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 16px;
  height: 16px;
  margin-top: -6px;
  background-color: #8193a2;
  border-radius: 50%;
  border: none;
  -webkit-transform: scale(1);
          transform: scale(1);
  -webkit-transition: -webkit-transform 0.3s;
  transition: -webkit-transform 0.3s;
  transition: transform 0.3s;
  transition: transform 0.3s, -webkit-transform 0.3s;
}
#img-crop #crop .cr-slider-wrap .cr-slider:hover::-webkit-slider-thumb {
  -webkit-transform: scale(1.25);
          transform: scale(1.25);
}
#img-crop #crop .cr-slider-wrap .cr-slider:focus {
  outline: none;
}
#img-crop #crop .cr-slider-wrap .cr-slider:focus::-webkit-slider-thumb {
  background-color: #425389;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-moz-range-track {
  width: 100%;
  height: 4px;
  background-color: #c8cccf;
  border: 0;
  border-radius: 1em;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-moz-range-thumb {
  height: 16px;
  width: 16px;
  margin-top: -6px;
  background-color: #8193a2;
  border-radius: 50%;
  border: none;
  transform: scale(1);
  -moz-transition: transform 0.3s;
  transition: transform 0.3s;
}
#img-crop #crop .cr-slider-wrap .cr-slider:hover::-moz-range-thumb {
  transform: scale(1.25);
}
#img-crop #crop .cr-slider-wrap .cr-slider:-moz-focusring {
  outline: 1px solid white;
  outline-offset: -1px;
}
#img-crop #crop .cr-slider-wrap .cr-slider:-moz-focusring::-moz-range-thumb {
  background-color: #425389;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-ms-track {
  width: 300px;
  height: 4px;
  background: transparent;
  border-color: transparent;
  border-width: 6px 0;
  color: transparent;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-ms-fill-lower, #img-crop #crop .cr-slider-wrap .cr-slider::-ms-fill-upper {
  background: #c8cccf;
  border-radius: 10px;
}
#img-crop #crop .cr-slider-wrap .cr-slider::-ms-thumb {
  border: none;
  height: 16px;
  width: 16px;
  border-radius: 50%;
  background-color: #8193a2;
}
#img-crop #crop .cr-slider-wrap #cr-rotate {
  color: #8193a2;
  text-align: right;
  background-color: transparent;
  -webkit-box-flex: 1;
          flex: 1;
}
#img-crop #result {
  display: none;
}
#img-crop #result #close {
background:
black;
border: none;
padding: 6px 12px 9px 12px;
font-size: 15px;
border-radius: 8px;
color:white;
margin: -12em 0 0 8em;
position: absolute;
}
#img-crop #result #close:hover {
 background:white;
 color: black;
}
#img-crop #result img {
  width: 100%;
  height: 100%;
  display: block;
}

#cr-rotate {
    display: ruby;
}
.fa.fa-trash {

}
.label-margin{
  margin-top: 6px;
}

.editor-iamge {
  height: 201px;
  background-repeat: no-repeat;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  width: 100%;
  max-width: 310px;
}



@media only screen and (min-width: 920px){
.desc_editor{
  width: 90%;
}
}
@media only screen and (max-width : 920px){

.preprocessor-tab {
  overflow: auto;
  font-size: 14px;
  position: relative;
  cursor: pointer;
  color: white;
  text-align: left;
  margin: 3px 0;
  padding: 5px 28px;
  display: initial;
  font-weight: 400;
}
.desc_editor{
  width: 100%;
}
}

@media only screen and (min-width: 768px){

	.splitter{
      display: block;
    }
    .result {
       height: 12em;
    }
}


@media only screen and (max-width : 768px){

.run-button.embed {
  padding: 3px 14px;
  line-height: 29px;
  margin-top: 5px;
}

/*	.code_panel {
       display: grid;
       overflow: visible;
       xtouch-action: none;
    }*/
    .splitter{
      display: block;
    }
.window{
  bottom: -37px;
}
.panel-container {
  margin-left: 0px;
  display: grid;
}
.framePreview_editor {
  display: flex;
  position: absolute;
  bottom: 9px;
  border-top: 1em solid #222;
  left: 0;
  right: 0;
  top: 48%;
}
.maximizeEditor {
  border-left: 4px solid #222 !important;
  border-right: 4px solid #222 !important;
  position: absolute;
  top: 0px;
  bottom: 50%;
  left: 0;
  right: 0;
  width: 100% !important;
}
.result {
  position: absolute;
  top: 51px;
  left: 0;
  right: 0;
  bottom: 69px;
}
.right-menu-pop-setting{
margin-top: 22px;
text-align: justify;
margin-bottom: 1em;
}
.preprocessor-tab {
margin-right: 0px;
padding: 3px 4px;
display: ruby;
margin-bottom: 21px;
display: initial;
font-weight: 400;
font-size: 14px;
  text-align: center !important; 
}
/*#maximizeEditor {
  border-left:11px solid #2d3748;
  border-right:11px solid #2d3748;
  position: absolute;
  top: 58px;
  bottom: 50%;
  left: 0;
  right: 0;
  width: 100% !important;
  padding-bottom: 44px;
}
.framePreview {
  display: flex;
  position: absolute;
  bottom: 46px;
  border-top: 1em solid #2d3748;
  left: 0;
  right: 0;
  top: 50%;
}*/

}

@media only screen and (min-width : 470px){
  .hired-button {
    padding: 0px 20px 0px 20px;
    line-height: 39px;
  }
  #img-crop .block .stage {
  height: 180px;
  position: relative;
  width: 320px;
  }
    .editor-title{
        font-family: 'Open Sans', sans-serif !important;
        line-height: 25px !important;
        margin: 0 !important;
        font-size: 17px !important;
        font-weight: normal !important;
        letter-spacing: 1px;
        text-transform: capitalize;
    }
}

@media only screen and (max-width : 470px){
      .CodeMirror-code {
        font: 11px Monaco, monospace;

      }
      #maximizeEditor{
        width: 17%;
      }
      .maximizeEditor {
       display: block !important;
       
      }
      .created_creditor {
      font-size: 11px;
      width: 90%;
      line-height: 14px;
    }
    .embed_logo{
       width: 73px;
    }
    .embed_logo_link{
      display: grid;padding: 5px 0;
    }
  #img-crop .block .stage {
    width: 240px;
    height: 140px;
  position: relative;
  }
    .editor-title{
        font-family: 'Open Sans', sans-serif !important;
        line-height: 25px !important;
        margin: 0 !important;
        font-size: 14px !important;
        font-weight: normal !important;
        letter-spacing: 1px;
    }
.btn-bottom-button {
  padding: 0px 9px;
  font-weight: 400;
  border-radius: 4px;
  font-size: 9px;
}
.bottomlss {
    margin: 5px 3px;
  }

        .sidebar_editor {
        box-shadow: 55px 0px 74px black;
      }
.fa.fa-expand.run-output-editor {
  width: 250% !important;
  height: 250% !important;
  -webkit-transform: scale(.5);
  transform: scale(0.4);
  scrollbar-color: rgba(0,0,0,.5)transparent;
  border: none;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
  transform-origin: 0 0;
  -webkit-transform-origin: 0 0;
}
}

